- Creates a new program record that does not already exist.
This method will auto-generate an ID and create a new program. If an ID is specified for the program, an error will be thrown.
The program that you would like to be saved.
The default page layout when showing an certification
The default page layout when showing an certification
The default page layout when showing a certification
The default page layout when showing a certification
The type of customer that can have this certification
The reinstatement period for certifications in this program
If set, a custom template is used to show the application information in the portal
If set to true, any other certifications marked as grandfathered are renewed when a certification of this type is renewed
The number that should be used for the next certification that is activated in this program
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/programs/{tenantId}
- https://certifications.api.rhythmsoftware.comhttps://certifications.api.rhythmsoftware.com/programs/{tenantId}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/programs/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"application_360_screen_id": "string",
"application_page_layout_id": "string",
"certificate_mode": "automatically generate",
"certificate_template": "string",
"certification_360_screen_id": "string",
"certification_page_layout_id": "string",
"custom_application_portal_template": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"customer_type": "both",
"default_reinstatement_period": 0.1,
"description": "string",
"display_in_portal": true,
"display_order": 0.1,
"enable_custom_application_portal_template": true,
"enable_grandfathered_certifications": true,
"grandfathered_certification_options": {
"program_ids": [
"string"
]
},
"group_id": "string",
"id": "string",
"is_active": true,
"logo_uri": "string",
"name": "string",
"next_certification_number": 0.1,
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1
}'The program was saved successfully.
The default page layout when showing an certification
The default page layout when showing an certification
The default page layout when showing a certification
The default page layout when showing a certification
The type of customer that can have this certification
The reinstatement period for certifications in this program
If set, a custom template is used to show the application information in the portal
If set to true, any other certifications marked as grandfathered are renewed when a certification of this type is renewed
The number that should be used for the next certification that is activated in this program
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
{ "application_360_screen_id": "string", "application_page_layout_id": "string", "certificate_mode": "automatically generate", "certificate_template": "string", "certification_360_screen_id": "string", "certification_page_layout_id": "string", "custom_application_portal_template": "string", "custom_field_values": [ { … } ], "customer_type": "both", "default_reinstatement_period": 0.1, "description": "string", "display_in_portal": true, "display_order": 0.1, "enable_custom_application_portal_template": true, "enable_grandfathered_certifications": true, "grandfathered_certification_options": { "program_ids": [ … ] }, "group_id": "string", "id": "string", "is_active": true, "logo_uri": "string", "name": "string", "next_certification_number": 0.1, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }